Google Web Toolkit (Beta)
Search this site:

# Interface HasKeyPreview

public interface HasKeyPreview
A class that implements this interface receives a preview of keyboard events before they are passed to the focused widget.

## Methods

onKeyDownPreview(char, int) | Called when a key-down event is received.
onKeyPressPreview(char, int) | Called when a key-press event is received.
onKeyUpPreview(char, int) | Called when a key-up event is received.

## See Also

KeyboardListener

## Method Detail

### onKeyDownPreview

public boolean onKeyDownPreview(char key, int modifiers)
Called when a key-down event is received.

#### Parameters

key
  the physical key that was depressed. Constants for this value are defined in this interface with the KEYCODE prefix.
modifiers
  the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by KeyboardListener.MODIFIER_SHIFT, KeyboardListener.MODIFIER_CTRL, and KeyboardListener.MODIFIER_ALT.

### onKeyPressPreview

public boolean onKeyPressPreview(char key, int modifiers)
Called when a key-press event is received.

#### Parameters

key
  the Unicode character that was generated by the keyboard action.
modifiers
  the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by KeyboardListener.MODIFIER_SHIFT, KeyboardListener.MODIFIER_CTRL, and KeyboardListener.MODIFIER_ALT.

### onKeyUpPreview

public boolean onKeyUpPreview(char key, int modifiers)
Called when a key-up event is received.

#### Parameters

key
  the physical key that was released. Constants for this value are defined in this interface with the KEYCODE prefix.
modifiers
  the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by KeyboardListener.MODIFIER_SHIFT, KeyboardListener.MODIFIER_CTRL, and KeyboardListener.MODIFIER_ALT.